{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "iron_furnaces:rainbow_furnace_item"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      "ABC",
      "HDH",
      "EFG"
    ],
    "key": {
      "A": {
        "item": "iron_furnaces:copper_furnace_item"
      },
      "B": {
        "item": "iron_furnaces:iron_furnace_item"
      },
      "C": {
        "item": "iron_furnaces:gold_furnace_item"
      },
      "D": {
        "item": "iron_furnaces:diamond_furnace_item"
      },
      "E": {
        "item": "iron_furnaces:emerald_furnace_item"
      },
      "F": {
        "item": "iron_furnaces:obsidian_furnace_item"
      },
      "G": {
        "item": "iron_furnaces:netherite_furnace_item"
      },
      "H": {
        "item": "minecraft:nether_star"
      }
    },
    "result": {
      "item": "iron_furnaces:rainbow_furnace_item"
    }
  }
}